The main goal of this module is to prevent the use of disposal emails (DEA) when registering and updating a user profile.
We have collected a number of actual and effective methods of checking DEA and implemented them in one module.

Features
--------
Module implements next validation:
#### Google Disposable Email
Prevent the use of disposable user+%@gmail.com and user+%@googlemail.com email address if user@gmail.com exists.
#### Yandex temporary emails
Prevent the use of u.s.e.r@yandex.ru and user@(ya.ru|yandex.com|yandex.by|...) email address if user@yandex.ru exists.
#### E-mail domain black list
Provide internal blacklist which contains the list of email domains to block.
#### Temporary email checking on https://block-temporary-email.com
Implement checking of emails on https://block-temporary-email.com.
(Required to create account and get API key).

All these checks can either be enabled or disabled as needed.

Post-Installation
-----------------
Install the module and enable it as usual, then open configuration page at
Configuration | People | User Email validation (/admin/config/people/email_validate)
Select and save which constraints should be enabled.

Similar projects
----------------
We analyzed similar modules and create a new with wider functinality
and based on modern Drupal constraints API.

 * https://www.drupal.org/project/check_dns
 * https://www.drupal.org/project/dea_blocker
 * https://www.drupal.org/project/stop_spam_regs
 * https://www.drupal.org/project/duplemail
 * https://www.drupal.org/project/unwanted_email_registration